@echo OFF
rem  * *******************************************************************
rem  *               CPRS80W1.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Compare two sequential files
rem  * Author - SimoTime Technologies
rem  * Date   - January 24, 1996
rem  *
rem  * This set of programs will run on a mainframe under MVS or on a
rem  * Personal Computer with Windows and Micro Focus Net Express.
rem  *
rem  *                     ************
rem  *                     * CPRS80W1 *
rem  *                     ********cmd*
rem  *                          *
rem  *                          *
rem  *    ************     ************     ************
rem  *    * RS0080D1 *-----* CPRS80C1 *-----*  SYSLOG  *
rem  *    *******rseq*  *  ********cbl*     ************
rem  *                  *       *
rem  *    ************  *       *
rem  *    * RS0080D2 *--*       *
rem  *    *******rseq*          *
rem  *                          *
rem  *                     ************
rem  *                     *   EOJ    *
rem  *                     ************
rem  *
rem  * *******************************************************************
rem  * Step   1   Delete any previously created file...
rem  *
rem  *
rem  *-Use-the-following-statement-to-identify-the-command.--------------*Modify*
     set CmdName=CPRS80W1
     call ..\Env1BASE %CmdName%
     set JobStatus=0000
     set SYSLOG=%BASELIB1%\LOGS\SYSLOG.RSEQ.%CmdName%.dat
     call SYSLOGW9
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting CmdName %CmdName%"
     call SimoNOTE "StepInfo Prepare the File Name Mapping"
rem  *
rem  * Set the environment variables for End-of-Job.
     set SIMOMODE=SHOW
     set SIMOGENS=NOPAUSE
rem  *
rem  *-Use-the-following-two-statements-to-map-the-file-names.-----------*Modify*
     set RS0080D1=%BaseLib1%\DATA\APPL\SIMOTIME.TEST.RS80TT01.DAT
     set RS0080D2=%BaseLib1%\DATA\APPL\SIMOTIME.TEST.RS80TT02.DAT
rem  *
rem  * *******************************************************************
rem  * Step   2   Compare the two files...
rem  *
     call SimoNOTE "StepInfo Execute the Compare Program"
rem  *
rem  *-Use-the-following-statement-to-run-the-program.-------------------*Modify*
     run CPRS80C1
     set JobStatus=%ERRORLEVEL%
     if not "%ERRORLEVEL%" == "0000" goto EojNok
rem  *
:EojAok
     call SimoNOTE "Finished JobName %CmdName%, Job Status is %JobStatus%"
     goto :End
:EojNok
     call SimoNOTE "ABENDING JobName %CmdName%, Job Status is %JobStatus%"
     set CompareStatus=%JobStatus%
     call SYSLOGW1
     call SimoNOTE "ABENDING JobName %CmdName%, Job Status is %CompareStatus%"
:End
     pause
