@echo OFF
rem  * *******************************************************************
rem  *               CPRS80W2.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Compare two sequential files
rem  * Author - SimoTime Technologies
rem  * Date   - January 24, 1996
rem  *
rem  * This set of programs will run on a mainframe under MVS or on a
rem  * Personal Computer with Windows and Micro Focus Net Express.
rem  *
rem  *                     ************
rem  *                     * CPRS80W2 *
rem  *                     ********cmd*
rem  *                          *
rem  *                          *
rem  *    ************     ************     ************
rem  *    * RS0080D1 *-----* CPRS80C1 *-----*  SYSLOG  *
rem  *    *******rseq*  *  ********cbl*     ************
rem  *                  *       *
rem  *    ************  *       *
rem  *    * RS0080D2 *--*       *
rem  *    *******rseq*          *
rem  *                          *
rem  *                     ************
rem  *                     *   EOJ    *
rem  *                     ************
rem  *
rem  * *******************************************************************
rem  * Step   1   Delete any previously created file...
rem  *
     set CmdName=CPRS80W2
     call ..\Env1BASE %CmdName%
     set JobStatus=0000
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting CmdName %CmdName%"
:PrepareQSAM
     call SimoNOTE "StepInfo Prepare the File Name Mapping"
     set RS0080D1=%BaseLib1%\DATA\APPL\SIMOTIME.TEST.RS80TT01.DAT
     set RS0080D2=%BaseLib1%\DATA\APPL\SIMOTIME.TEST.RS80TT03.DAT
rem  *
rem  * *******************************************************************
rem  * Step   2   Compare the two files...
rem  *
:ExecuteCompareRoutine
     call SimoNOTE "StepInfo Execute the Compare Program"
     run CPRS80C1
     set ERRORLEVELTWO=%ERRORLEVEL%
     if not "%ERRORLEVELTWO%" == "0" set JobStatus=0010
     if "%ERRORLEVELTWO%" == "4" set JobStatus=0004
     if not %JobStatus% == 0000 goto :EojNok
     call SimoNOTE "Compare-One is %RS0080D1%"
     call SimoNOTE "Compare-Two is %RS0080D2%"
rem  *
rem  *
rem  * *******************************************************************
:EojAok
     call SimoNOTE "Finished JobName %CmdName%, Job Status is %JobStatus%"
     goto :End
:EojNok
     call SimoNOTE "ABENDING JobName %CmdName%, Job Status is %JobStatus%"
:End
rem  * Convert VREC to LSEQ and display using NotePad...
     if "SIMOGENS" == "BATCH" goto End2
     if %JobStatus% == 0004 call VRECCVW1
     if "%ERRORLEVELTWO%" == "4" set JobStatus=0004
     pause
:End2
     exit /b
